hpp-core: hpp::core::PathValidations Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::PathValidations Class Reference
Validation of configurations and paths

`#include <hpp/core/path-validations.hh>`

Inheritance diagram for hpp::core::PathValidations:
[legend]
Collaboration diagram for hpp::core::PathValidations:
[legend]

## Public Member Functions
virtual bool | validate (const PathPtr_t &path, bool reverse, PathPtr_t &validPart, PathValidationReportPtr_t &report)
virtual bool | validate (ConfigurationIn_t q, ValidationReportPtr_t &report)
virtual void | addPathValidation (const PathValidationPtr_t &pathValidation)
| Add a path validation object.
virtual | ~PathValidations ()
Public Member Functions inherited from hpp::core::PathValidation
virtual | ~PathValidation ()
Public Member Functions inherited from hpp::core::ObstacleUserVector< PathValidationPtr_t >
virtual | ~ObstacleUserVector ()=default
void | addObstacle (const CollisionObjectConstPtr_t &object)
void | removeObstacleFromJoint (const JointPtr_t &joint, const CollisionObjectConstPtr_t &object)
void | filterCollisionPairs (const RelativeMotion::matrix_type &relMotion)
void | setSecurityMargins (const matrix_t &securityMatrix)
void | setSecurityMarginBetweenBodies (const std::string &body_a, const std::string &body_b, const value_type &margin)
void | clear ()
Public Member Functions inherited from hpp::core::ObstacleUserInterface
virtual | ~ObstacleUserInterface ()=default

## Static Public Member Functions
static PathValidationsPtr_t | create ()

## Protected Member Functions
| PathValidations ()
Protected Member Functions inherited from hpp::core::PathValidation
| PathValidation ()
Protected Member Functions inherited from hpp::core::ObstacleUserVector< PathValidationPtr_t >
| ObstacleUserVector ()=default
| ObstacleUserVector (std::initializer_list< value_t > validations)

## Additional Inherited Members
Protected Types inherited from hpp::core::ObstacleUserVector< PathValidationPtr_t >
typedef PathValidationPtr_t | value_t
typedef std::vector< value_t > | values_t
Protected Attributes inherited from hpp::core::ObstacleUserVector< PathValidationPtr_t >
values_t | validations_

## Detailed Description

Validation of a path with multiple path validation methods

Apply several path validation methods to the path parameter

## Constructor & Destructor Documentation

## ◆ ~PathValidations()

virtual hpp::core::PathValidations::~PathValidations | ( |  | ) |
| inlinevirtual

## ◆ PathValidations()

hpp::core::PathValidations::PathValidations | ( |  | ) |
| protected

## Member Function Documentation

## ◆ addPathValidation()

virtual void hpp::core::PathValidations::addPathValidation | ( | const PathValidationPtr_t & | pathValidation | ) |
| virtual

Add a path validation object.

## ◆ create()

static PathValidationsPtr_t hpp::core::PathValidations::create | ( |  | ) |
| static

## ◆ validate() [1/2]

virtual bool hpp::core::PathValidations::validate | ( | ConfigurationIn_t | q,
|  | ValidationReportPtr_t & | report
| ) |  |
| virtual

Validate a single configuration

Parameters

  q | input configuration,

Return values

  report | validation report. The default implementation builds a straight path of length 0 with the input configuration and validates the path.

Reimplemented from hpp::core::PathValidation.

## ◆ validate() [2/2]

virtual bool hpp::core::PathValidations::validate | ( | const PathPtr_t & | path,
|  | bool | reverse,
|  | PathPtr_t & | validPart,
|  | PathValidationReportPtr_t & | report
| ) |  |
| virtual

Compute the largest valid interval starting from the path beginning

Parameters

  path | the path to check for validity,
  reverse | if true check from the end,

Return values

  the | extracted valid part of the path, pointer to path if path is valid.
  report | information about the validation process. A report is allocated if the path is not valid.

Returns
  whether the whole path is valid.

Implements hpp::core::PathValidation.

The documentation for this class was generated from the following file:

- include/hpp/core/path-validations.hh